# PetscPolymorphicFunction

allows defining a C++ polymorphic version of a PETSc function that remove certain optional arguments for a simplier user interface and returns the computed value (istead of an error code) Not collective

### Synopsis

    PetscPolymorphicFunction(Functionname,(arguments of C++ function),(arguments of C function),return type,return variable name)

### Example

PetscPolymorphicFunction(VecNorm,(Vec x,NormType t),(x,t,&r),PetscReal,r) generates the new routine PetscReal VecNorm(Vec x,NormType t) = {PetscReal r; VecNorm(x,t,&r); return r;}

### See Also

PetscPolymorphicSubroutine()

Level:developer
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages